<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6f8f9"
    android:orientation="vertical">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout" />

    <ScrollView
        android:id="@+id/sl_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:overScrollMode="never"
        android:scrollbars="none">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <View
                android:id="@+id/view_header_info"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginStart="14dp"
                android:layout_marginTop="19dp"
                android:layout_marginEnd="14dp"
                android:background="@drawable/shape_10dp_white"
                app:layout_constraintBottom_toBottomOf="@+id/view_header_helper_line"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_avatar_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="38dp"
                android:includeFontPadding="false"
                android:text="头像"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_16"
                app:layout_constraintLeft_toLeftOf="@+id/view_header_info"
                app:layout_constraintTop_toTopOf="@+id/view_header_info" />

            <ImageView
                android:id="@+id/iv_avatar_arrow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="14dp"
                android:src="@drawable/icon_arrow_right_small"
                app:layout_constraintBottom_toBottomOf="@+id/tv_avatar_title"
                app:layout_constraintRight_toRightOf="@+id/view_header_info"
                app:layout_constraintTop_toTopOf="@+id/tv_avatar_title" />

            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/iv_avatar"
                android:layout_width="56dp"
                android:layout_height="56dp"
                android:layout_marginEnd="22dp"
                android:src="@drawable/icon_teacher_default_head"
                app:layout_constraintBottom_toBottomOf="@+id/tv_avatar_title"
                app:layout_constraintRight_toLeftOf="@+id/iv_avatar_arrow"
                app:layout_constraintTop_toTopOf="@+id/tv_avatar_title" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/icon_avatar_select_tip"
                app:layout_constraintBottom_toBottomOf="@+id/iv_avatar"
                app:layout_constraintRight_toRightOf="@+id/iv_avatar" />

            <TextView
                android:id="@+id/tv_nickname_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="55dp"
                android:includeFontPadding="false"
                android:text="昵称"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_16"
                app:layout_constraintLeft_toLeftOf="@+id/tv_avatar_title"
                app:layout_constraintTop_toBottomOf="@+id/tv_avatar_title" />

            <View
                android:id="@+id/view_nick_click"
                app:layout_constraintBottom_toBottomOf="@+id/tv_nickname_title"
                app:layout_constraintTop_toTopOf="@+id/tv_nickname_title"
                android:layout_width="match_parent"
                android:layout_height="50dp"/>
            <ImageView
                android:id="@+id/iv_nickname_edit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="14dp"
                android:src="@drawable/icon_edit_nickname"
                app:layout_constraintBottom_toBottomOf="@+id/tv_nickname_title"
                app:layout_constraintRight_toRightOf="@+id/view_header_info"
                app:layout_constraintTop_toTopOf="@+id/tv_nickname_title" />

            <TextView
                android:id="@+id/tv_nickname"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="16dp"
                android:textColor="@color/color_333333"
                android:textSize="@dimen/sp_16"
                app:layout_constraintBottom_toBottomOf="@+id/iv_nickname_edit"
                app:layout_constraintRight_toLeftOf="@+id/iv_nickname_edit"
                app:layout_constraintTop_toTopOf="@+id/iv_nickname_edit"
                tools:text="上老师" />

            <TextView
                android:id="@+id/tv_real_name_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="40dp"
                android:includeFontPadding="false"
                android:text="实名认证"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_16"
                app:layout_constraintLeft_toLeftOf="@+id/tv_nickname_title"
                app:layout_constraintTop_toBottomOf="@+id/tv_nickname_title" />

            <View
                android:id="@+id/view_real_name_click"
                app:layout_constraintBottom_toBottomOf="@+id/tv_real_name_title"
                app:layout_constraintTop_toTopOf="@+id/tv_real_name_title"
                android:layout_width="match_parent"
                android:layout_height="50dp"/>

            <ImageView
                android:id="@+id/iv_real_name_arrow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="14dp"
                android:src="@drawable/icon_arrow_right_small"
                app:layout_constraintBottom_toBottomOf="@+id/tv_real_name_title"
                app:layout_constraintRight_toRightOf="@+id/view_header_info"
                app:layout_constraintTop_toTopOf="@+id/tv_real_name_title" />


            <TextView
                android:id="@+id/tv_real_name_status"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="16dp"
                android:text="未认证"
                android:textColor="@color/color_ff0000"
                android:textSize="@dimen/sp_16"
                app:layout_constraintBottom_toBottomOf="@+id/iv_real_name_arrow"
                app:layout_constraintRight_toLeftOf="@+id/iv_real_name_arrow"
                app:layout_constraintTop_toTopOf="@+id/iv_real_name_arrow"
                tools:text="未认证" />

            <TextView
                android:id="@+id/tv_gender_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="40dp"
                android:includeFontPadding="false"
                android:text="性别"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_16"
                app:layout_constraintLeft_toLeftOf="@+id/tv_real_name_title"
                app:layout_constraintTop_toBottomOf="@+id/tv_real_name_title" />

            <LinearLayout
                android:id="@+id/ll_sex"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="14dp"
                android:orientation="horizontal"
                app:layout_constraintBottom_toBottomOf="@+id/tv_gender_title"
                app:layout_constraintRight_toRightOf="@+id/view_header_info"
                app:layout_constraintTop_toTopOf="@+id/tv_gender_title">

                <TextView
                    android:id="@+id/tv_male"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableStart="@drawable/icon_check_unselect"
                    android:checked="true"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text=" 男"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_16" />

                <TextView
                    android:id="@+id/tv_female"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="30dp"
                    android:drawableStart="@drawable/icon_check_unselect"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text=" 女"
                    android:textColor="@color/color_666666"
                    android:textSize="@dimen/sp_16" />
            </LinearLayout>


            <TextView
                android:id="@+id/tv_phone_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="40dp"
                android:includeFontPadding="false"
                android:text="手机号"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_16"
                app:layout_constraintLeft_toLeftOf="@+id/tv_gender_title"
                app:layout_constraintTop_toBottomOf="@+id/tv_gender_title" />


            <View
                android:id="@+id/view_phone_click"
                app:layout_constraintBottom_toBottomOf="@+id/tv_phone_title"
                app:layout_constraintTop_toTopOf="@+id/tv_phone_title"
                android:layout_width="match_parent"
                android:layout_height="50dp"/>

            <ImageView
                android:id="@+id/iv_edit_phone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="14dp"
                android:src="@drawable/icon_edit_nickname"
                app:layout_constraintBottom_toBottomOf="@+id/tv_phone_title"
                app:layout_constraintRight_toRightOf="@+id/view_header_info"
                app:layout_constraintTop_toTopOf="@+id/tv_phone_title" />

            <TextView
                android:id="@+id/tv_phone_num"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="11dp"
                android:includeFontPadding="false"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_16"
                app:layout_constraintBottom_toBottomOf="@+id/iv_edit_phone"
                app:layout_constraintRight_toLeftOf="@+id/iv_edit_phone"
                app:layout_constraintTop_toTopOf="@+id/iv_edit_phone" />


            <View
                android:id="@+id/view_header_helper_line"
                android:layout_width="1px"
                android:layout_height="1px"
                android:layout_marginTop="20dp"
                app:layout_constraintLeft_toLeftOf="@+id/tv_phone_title"
                app:layout_constraintTop_toBottomOf="@+id/tv_phone_title" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_top_select"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="14dp"
                android:layout_marginTop="15dp"
                android:layout_marginEnd="14dp"
                android:background="@drawable/bg_white_10dp"
                android:orientation="vertical"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/view_header_info">

                <ImageView
                    android:id="@+id/im_fan_pages"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_marginLeft="11dp"
                    android:layout_marginTop="16dp"
                    android:src="@drawable/icon_fan_pages"
                    android:visibility="gone"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/start_view"
                    android:layout_width="wrap_content"
                    android:layout_height="0dp"
                    android:layout_marginLeft="4dp"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text="*"
                    android:textColor="@color/red_eb6363"
                    android:textSize="@dimen/sp_16"
                    android:textStyle="bold"
                    android:visibility="visible"
                    app:layout_constraintBottom_toBottomOf="@+id/tv_select_musical_title"
                    app:layout_constraintRight_toLeftOf="@+id/tv_select_musical_title"
                    app:layout_constraintTop_toTopOf="@+id/tv_select_musical_title" />

                <TextView
                    android:id="@+id/tv_select_musical_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="14dp"
                    android:layout_marginTop="16dp"
                    android:paddingStart="5dp"
                    android:text="可教授乐器"
                    android:textColor="@color/black_333"
                    android:textSize="@dimen/sp_18"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="（可多选）"
                    android:textColor="@color/color_cccccc"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintBaseline_toBaselineOf="@+id/tv_select_musical_title"
                    app:layout_constraintLeft_toRightOf="@+id/tv_select_musical_title" />

                <TextView
                    android:id="@+id/tv_select_fans"
                    android:layout_width="54dp"
                    android:layout_height="24dp"
                    android:layout_marginEnd="17dp"
                    android:layout_marginRight="11dp"
                    android:drawableLeft="@drawable/icon_edit2"
                    android:drawablePadding="4dp"
                    android:gravity="center"
                    android:includeFontPadding="false"
                    android:text="选择"
                    android:textColor="@color/color_333333"
                    android:textSize="@dimen/sp_16"
                    app:layout_constraintBottom_toBottomOf="@+id/tv_select_musical_title"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/tv_select_musical_title" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_top_select"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="8dp"
                    android:layout_marginTop="4dp"
                    android:layout_marginRight="8dp"
                    android:overScrollMode="never"
                    android:scrollbars="none"
                    app:layout_constraintTop_toBottomOf="@+id/tv_select_musical_title" />

                <TextView
                    android:layout_marginTop="20dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="14dp"
                    android:layout_marginBottom="13dp"
                    android:includeFontPadding="false"
                    android:text="最多可选5种声部"
                    android:textColor="@color/color_cccccc"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintTop_toBottomOf="@+id/rv_top_select"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintRight_toRightOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_personal_introduction"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="14dp"
                android:layout_marginTop="15dp"
                android:layout_marginEnd="14dp"
                android:background="@drawable/bg_white_10dp"
                android:orientation="vertical"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/cl_top_select">


                <TextView
                    android:id="@+id/tv_introduce_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="14dp"
                    android:layout_marginTop="16dp"
                    android:text="个人介绍"
                    android:textColor="@color/black_333"
                    android:textSize="@dimen/sp_18"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_edit_introduce"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="17dp"
                    android:drawableLeft="@drawable/icon_edit2"
                    android:drawablePadding="4dp"
                    android:includeFontPadding="false"
                    android:text="编辑"
                    android:textColor="@color/color_333333"
                    android:textSize="@dimen/sp_16"
                    app:layout_constraintBottom_toBottomOf="@+id/tv_introduce_title"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/tv_introduce_title" />

                <TextView
                    android:id="@+id/tv_num_hint"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="14dp"
                    android:layout_marginRight="11dp"
                    android:layout_marginBottom="12dp"
                    android:gravity="center"
                    android:text="最多200字介绍"
                    android:textColor="@color/color_cccccc"
                    android:textSize="@dimen/sp_12"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/et_self_introduction" />

                <EditText
                    android:id="@+id/et_self_introduction"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="14dp"
                    android:layout_marginTop="16dp"
                    android:layout_marginRight="14dp"
                    android:layout_marginBottom="25dp"
                    android:background="@null"
                    android:gravity="left|top"
                    android:hint="个人介绍"
                    android:lineSpacingExtra="4dp"
                    android:maxLength="200"
                    android:minHeight="66dp"
                    android:textColor="@color/color_666666"
                    android:textColorHint="@color/color_999999"
                    android:textSize="@dimen/sp_13"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/tv_introduce_title" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_teacher_style"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="14dp"
                android:layout_marginTop="15dp"
                android:layout_marginEnd="14dp"
                android:background="@drawable/bg_white_10dp"
                android:orientation="vertical"
                android:layout_marginBottom="20dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/cl_personal_introduction">

                <TextView
                    android:id="@+id/tv_talent_style_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="14dp"
                    android:layout_marginTop="16dp"
                    android:text="达人风采"
                    android:textColor="@color/black_333"
                    android:textSize="@dimen/sp_18"
                    android:textStyle="bold"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_add_style"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="17dp"
                    android:drawableLeft="@drawable/icon_add_style"
                    android:drawablePadding="4dp"
                    android:includeFontPadding="false"
                    android:text="添加"
                    android:textColor="@color/color_333333"
                    android:textSize="@dimen/sp_16"
                    app:layout_constraintBottom_toBottomOf="@+id/tv_talent_style_title"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/tv_talent_style_title" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_teacher_style_video"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="7dp"
                    android:layout_marginBottom="29dp"
                    android:overScrollMode="never"
                    android:scrollbars="none"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/tv_talent_style_title" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <TextView
                android:visibility="gone"
                android:id="@+id/tv_save"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_44"
                android:layout_marginLeft="27dp"
                android:layout_marginTop="29dp"
                android:layout_marginRight="27dp"
                android:layout_marginBottom="48dp"
                android:background="@drawable/shape_course_status_ing"
                android:gravity="center"
                android:text="保存"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_14"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/cl_teacher_style" />


        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>
</LinearLayout>

